#
# file3.pl
#

if ($#ARGV == -1) {
    print "Usage: $0 t@C\n";
    exit(1);
}

while (glob($ARGV[0])) {
    $file = $_;
    if (open(FD, "$file")) {

        printf("%-12s => %3d line  %3lu bytes\n", 
                $file,
                get_fileline(*FD),
                get_filesize(*FD));

        close(FP);
    }
}

exit(0);


sub get_fileline {
    local(*FP) = @_;
    my($c, $line);

    $line = 0;
    while (<FP>) {
        $line++;
    }

    return ($line);
}

sub get_filesize {
    local(*FP) = @_;

    return (-s FP);
}
